using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;
using TestCasePlanner.App_Start;

namespace TestCasePlanner
{
    public class MvcApplication : System.Web.HttpApplication
    {
        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);
            
            var DbInitializer = new DatabaseInitializer();
            DbInitializer.Start();

            var MappingInitializer = new MappingInitializer();
            MappingInitializer.Start();
        }
    }
}